ExtUtils::Config::MakeMaker(3)

NAME
ExtUtils::Config::MakeMaker - A ExtUtils::Config compatible wrapper for ExtUtils::MakeMaker's configuration.

VERSION
version 0.010

SYNOPSIS
 my $config = ExtUtils::Config::MakeMaker->new($makemaker);

DESCRIPTION
This object wraps ExtUtils::MakeMaker's idea of configuration in an ExtUtils::Config compatible interface. That means that if you pass a configuration argument to or in Makefile.PL (e.g. "OPTIMIZE=-O3") it will show up in the config object (e.g. "$config-"get('optimize')>.

METHODS

  new($makemaker)
This creates a new "ExtUtils::Config::MakeMaker" object from a MakeMaker object.

  get($key)
Get the value of $key. If not overridden it will return the value in %Config.

  exists($key)
Tests for the existence of $key.

  values_set()
Get a hashref of all overridden values.

  all_config()
Get a hashref of the complete configuration, including overrides.

  serialize()
This method serializes the object to some kind of string. This can be useful for various caching purposes.

  materialize()
This turns this object into an actual "ExtUtils::Config" object.

  but(%config)
This returns a "ExtUtils::Config" object based on the current one but with the given entries overriden. If any value is "undef" it will revert to the official %Config value instead.

AUTHORS

•   Ken Williams <kwilliams@cpan.org>

•   Leon Timmermans <leont@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2006 by Ken Williams, Leon Timmermans.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.